---
title: Animation.timeline
slug: Web/API/Animation/timeline
tags:
  - API
  - Animation
  - Experimental
  - Property
  - Reference
  - Web Animations
  - timeline
  - web animations api
---
<p>{{ SeeCompatTable() }}{{ APIRef("Web Animations") }}</p>

<p>The <code><strong>Animation.timeline</strong></code> property of the {{domxref("Animation")}} interface returns or sets the {{domxref("AnimationTimeline", "timeline")}} associated with this animation. A timeline is a source of time values for synchronization purposes, and is an {{domxref("AnimationTimeline")}}-based object. By default, the animation's timeline and the {{domxref("Document")}}'s timeline are the same.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>animationsTimeline</em> = <em>Animation</em>.timeline;

<em>Animation</em>.timeline = <em>newTimeline</em>;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("AnimationTimeline", "timeline object", "", 1)}} to use as the timing source for the animation, or <code>null</code> to use the default, which is the {{domxref("Document")}}'s timeline.</p>

<h2 id="Examples">Examples</h2>

<p>Here we set the animation's timeline to be the same as the document's timeline (this is the default timeline for all animations, by the way):</p>

<pre class="brush: js">animation.timeline = document.timeline;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Animations', '#dom-animation-timeline', 'Animation.timeline' )}}</td>
   <td>{{Spec2('Web Animations')}}</td>
   <td>Editor's draft.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Animation.timeline")}}</p>
</div>

<h2 id="See_also" style="line-height: 30px; font-size: 2.14285714285714rem;">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a></li>
 <li>{{domxref("Animation")}}</li>
 <li>{{domxref("AnimationTimeline")}} the parent object all timelines inherit from.</li>
 <li>{{domxref("DocumentTimeline")}} the only kind of timeline object available at this time.</li>
 <li>{{domxref("Document.timeline")}} is the default timeline all animations are assigned.</li>
</ul>
